POST/sourcemaprequest

Create Source Map Request

Implementation Notes

This method enables users to request the mapping of a hotel to a source that it is not currently configured with. To initiate the request, users must provide the hotel code and source code. A unique request ID will be automatically generated for each mapping request.
POST/sourcemaprequest

Parameter Details

NameInTypeRequiredDescription
bodybodyOptionalnone
» hotelcodebodyintegerOptionalnone
» sourcesbody[integer]Optionalnone
» urlsbody[string]Optionalnone
» channeltypebody[string]Optionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccessNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /sourcemaprequest \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body Parameter

{
 "hotelcode": 85577,
 "sources": [
   83
 ],
 "urls": [
   "https://www.hilton.com/en/hotels/laslkhf-hilton-lake-las-vegas-resort-and-spa/"
 ],
 "channeltype": [
   "Direct"
 ]
}

Example responses

200 Response
{
  "requestid": 0,
  "hotelcode": 0,
  "sources": [
    0
  ],
  "urls": [
    "string"
  ],
  "status": 0,
  "approximatetime": 0,
  "channeltype": [
    "string"
  ]
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.